> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Password API Endpoint

> This API endpoint allows a user to update their password.



## OpenAPI

````yaml put /api/user/update-password/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/update-password/:
    put:
      tags:
        - api
      summary: Update User Password API Endpoint
      description: This API endpoint allows a user to update their password.
      operationId: update_user_password
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserPassword'
        required: true
      responses:
        '200':
          description: Successfully updated password
          content:
            application/json:
              schema:
                title: Password update
                type: object
                properties:
                  is_updated:
                    title: Is Updated
                    type: boolean
              example:
                is_updated: true
        '400':
          description: Failed to update password or validation errors
          content: {}
        '500':
          description: Failed to update password
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    UpdateUserPassword:
      required:
        - email_address
        - new_password
        - secret_key
      type: object
      properties:
        email_address:
          title: Email address
          minLength: 1
          type: string
          format: email
        secret_key:
          title: Secret key
          minLength: 1
          type: string
        new_password:
          title: New password
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````